Logos 7.13 Works, later Logos 7 does not; where can I download 7.13 ?

Page 1 of 1 (18 items)
This post has 17 Replies | 1 Follower

Posts 32
EnochBethany | Forum Activity | Posted: Mon, Jul 22 2019 7:52 PM

I made the mistake of accepting the "free Logos 8" as an upgrade; but Logos higher than Logos 7.13 is apparently incompatible with my MacBooks 2010 & 2011.  Then I got the notice that I had to upgrade my OS to use Logos 8. So I stupidly did it, only to destroy my computer because it won't work with the newer Mac OS.  Why did Logos direct me to do this???  Fortunately I had a thumbdrive with X10 Yosemite in it, I think 10.5.5.  So I reloaded the OS and then the computer worked again. But the Logos I now had in my computer would not work.  So I trashed it. But I cannot find anywhere on Logos.com now where I can download Logos 7.13. The only thing I find is called Logos 7, but it must be a later 7 & won't work in my computer. 7.13 was working fine. 

A gripe I have is that Logos should make me go out & buy a new computer; that means laying out say $1000 for the new Logos, aside from anything I would pay Logos.

Is there a way to download Logos 7.13 now?

Posts 17956
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Mon, Jul 22 2019 10:29 PM

EnochBethany:
Then I got the notice that I had to upgrade my OS to use Logos 8. So I stupidly did it, only to destroy my computer because it won't work with the newer Mac OS.

How much RAM and available storage space do your MacBooks have ?

Apple Support article for OS X 10.11 El Capitan shows 2 GB Ram needed => https://support.apple.com/en-us/HT206886

Does Web App work ? => https://app.logos.com

EnochBethany:
But the Logos I now had in my computer would not work.  So I trashed it.

Did trashing include application support ? Also did a newer version of Logos ever open ? (if so, then suspect application support database files were updated).

Logos 7.13 cannot connect to Faithlife servers so cannot download your Logos library.

FYI: from description, sounds like Time Machine is not an option (restore MacBook back to older OS X with Logos 7.13)

Keep Smiling Smile

Posts 13359
Forum MVP
Mark Barnes | Forum Activity | Replied: Tue, Jul 23 2019 2:43 AM

EnochBethany:
I made the mistake of accepting the "free Logos 8" as an upgrade; but Logos higher than Logos 7.13 is apparently incompatible with my MacBooks 2010 & 2011.  Then I got the notice that I had to upgrade my OS to use Logos 8. So I stupidly did it, only to destroy my computer because it won't work with the newer Mac OS.  Why did Logos direct me to do this???

Your Mac wouldn't let you upgrade to a later edition of MacOS that wasn't compatible with your Mac. Indeed, El Capitan says it is compatible with both 2010 and 2011 MacBooks, unless you only have 1Gb RAM.

I would therefore encourage you to find out why El Capitan wouldn't install. If you get an error message, let us know and we'll try and help. Or, if your computer is 'destroyed' Apple should be able to help. An OS update should never do that.

EnochBethany:
Is there a way to download Logos 7.13 now?

No. Because of required server security updates, older versions of Logos can no longer connect to Logos' servers. You'll need to run the latest version of Logos 7 or Logos 8.

Posts 32
EnochBethany | Forum Activity | Replied: Sat, Jul 27 2019 3:45 PM

thanks for replying, but most of what you said was irrelevant. My MacBook has Yosemite X 10.10.5.  All I want now is a dmg for for 7.13

Posts 32
EnochBethany | Forum Activity | Replied: Sat, Jul 27 2019 3:47 PM

my macbook is not compatible with El capitan. all I want now is a dmg for logos 7.13

Posts 32
EnochBethany | Forum Activity | Replied: Sat, Jul 27 2019 4:31 PM

 Mark & friends, thanks for taking time to reply. I had this same problem about a year ago. I had forgot. My mid-2010 MacBook is not compatible with El Capitan. If I try  to download a higher than Yosemite, it destroys the computer until I reload Yosemite.  I bought a thumb of drive Yosemite before because of the same problem.  I am surely able to go to Logos.com & download a DMG file. I did it already, only after trying to complete ,, I got the message  that Logos 8 would not work with my OS.  I just found that via Time Machine I had backed up computer, but the backup had Logos 6, not 7.13.  This problem was solved last time by downloading from Logos 7.13, the last Yosemite compatible version. I don't know if they gave me a special download link before or not.  But if I could get from any source the DMG for 7.13, I surely could install it, just as I did 6 a few minutes ago. I think that at least most of my library is there.

So I realize it is common to question the question, but now I want Logos or somebody to give me the DMG file for 7.13.  I guess I am now pushed to buy a new computer, which I think is unfair. Last I knew Accordance was running even on Windows XP.  I have a rather new Windows 10 machine, but it is convenient for me to run Logos on my old? (2010 seems like yesterday) MacBook.  Somebody out there must have a DMG for 7.13. BTW, I still own Logos 1.6 for DOS.

Posts 32
EnochBethany | Forum Activity | Replied: Sat, Jul 27 2019 4:35 PM

Another thing occurs to me.. I do have & can use Logos 7.13 in the computer I watch YouTube with.  Maybe I can just copy the whole app as such on a hard drive & move it to this computer that way.

Posts 32
EnochBethany | Forum Activity | Replied: Sat, Jul 27 2019 6:05 PM

UPDATE: I used a hard drive to copy 7.13 LOGOS app from another computer, then put it in the problem computer. It worked & I got messages that like 1 GB of data was being downloaded & 242 updates. Seems my 7.13 now shakes hands with Logos.com & receives downloads from it. Praise the Lord The download process took some time as the library indexing was also taking time last I looked. but I think I have my resources.

Posts 32
EnochBethany | Forum Activity | Replied: Sun, Jul 28 2019 7:56 AM

Mike, I heard a similar claim from somebody at Logos, so I don't blame you for believing it, namely "No. Because of required server security updates, older versions of Logos can no longer connect to Logos' servers. You'll need to run the latest version of Logos 7 or Logos 8."

Yesterday I accepted the free book of the month on Paul from Logos.  Very soon after I bought (non-bought) it, it appeared in my Logos 7.13 computer, downloaded. So I think there is some misinformation out there, even among Logos personnel on 7.13.  And misinformation can cost you money! It turns out I did not have to buy a new computer to be able to get Logos downloads.  My Yosemite computer with 7.13 seems to be working well at the moment.

I stuck with Yosemite for another upgrade problem. I love the Microsoft ergonomic keyboard 4000 & 7000 (wireless), as you hands are properly deployed with it & it has a lot of special function keys & an up-down toggle for doing Cmd+ or Cmd- to increase picture size or decrease it on the screen.  It has silver buttons that take you to 5 favorite internet sites. It has a button that lets change at once to Greek font or Hebrew. Unfortunately, the driver that works with Yosemite & down, does not work with El Capitan & up. Microsoft stopped supporting this keyboard with newer OS. An "upgrade" may be a downgrade.  My theory is that the primary purpose of changing OS is to benefit Apple, not me. & of course MS may have no desire to support Apple any way.

One thing I learned from this computer problem with Logos is that apparently you do not have to use a DMG to get a version of Logos. The app itself can be copied & pasted.

Anyway, thanks to everyone for trying to help me.

Posts 13359
Forum MVP
Mark Barnes | Forum Activity | Replied: Sun, Jul 28 2019 8:26 AM

EnochBethany:
Mike, I heard a similar claim from somebody at Logos, so I don't blame you for believing it, namely "No. Because of required server security updates, older versions of Logos can no longer connect to Logos' servers. You'll need to run the latest version of Logos 7 or Logos 8."

My apologies. I've re-read the help page (https://www.logos.com/logos-7-update), and it does suggest that all versions of Logos 7 and Logos 8 will continue to work.

For future reference, if you do need to download the file, you can get it from https://downloads.logoscdn.com/LBS7/Installer/7.13.0.0017/LogosMac.dmg

If other people stumble on the thread in the future and need a different version, you can work out the URL to download old versions by looking at the version numbers on the release notes: https://wiki.logos.com/Logos_7_Release_Notes

(The Windows equivalent is https://downloads.logoscdn.com/LBS7/InstallerBeta/7.13.0.0017/LogosSetup.exe)

Posts 17956
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Sun, Jul 28 2019 4:53 PM

EnochBethany:
One thing I learned from this computer problem with Logos is that apparently you do not have to use a DMG to get a version of Logos. The app itself can be copied & pasted.

Logos wiki includes =>  Quick Installation onto Multiple Macs

EnochBethany:

I heard a similar claim from somebody at Logos, so I don't blame you for believing it, namely "No. Because of required server security updates, older versions of Logos can no longer connect to Logos' servers. You'll need to run the latest version of Logos 7 or Logos 8."

Yesterday I accepted the free book of the month on Paul from Logos.  Very soon after I bought (non-bought) it, it appeared in my Logos 7.13 computer, downloaded. So I think there is some misinformation out there, even among Logos personnel on 7.13.  And misinformation can cost you money! It turns out I did not have to buy a new computer to be able to get Logos downloads.  My Yosemite computer with 7.13 seems to be working well at the moment.

Thankful for sharing that Logos 7.13 still works on OS X 10 Yosemite.

Keep Smiling Smile

Posts 32
EnochBethany | Forum Activity | Replied: Mon, Jul 29 2019 1:11 PM

thnx much, Mike. I downloaded it just to keep on hand if I need it some day.  When I clicked on the link, at once an invite to download appeared (no normal internet page). Info doesn't say what version of Logos it is. But I see it in the link addy.

Posts 13359
Forum MVP
Mark Barnes | Forum Activity | Replied: Tue, Jul 30 2019 2:48 AM

To help with these questions in the future, I've created a Wiki page: https://wiki.logos.com/Logos_Downloads_Archive

Posts 24921
Forum MVP
Dave Hooton | Forum Activity | Replied: Wed, Jul 31 2019 4:55 PM

Mark Barnes:

To help with these questions in the future, I've created a Wiki page: https://wiki.logos.com/Logos_Downloads_Archive

Mark

There could be some mistakes here:-

1. Latest versions for :-

Windows 7 without SP1, Windows 8.0, and Windows 10 prior to Anniversary Update

  • Logos 7.9 SR-1 for Windows
  • Verbum 7.9 SR-1 for Windows

Logos 7.10+ requires Win 7 SP1, 8.1 and Win 10 Anniversary (same as Logos 8), but versions from Logos 6 on have required Win 7 SP1.

2. Latest version for Windows Vista and OS X 10.9 (Mavericks):

Logos 5 was  the last version that ran on Vista (and probably Win 7). Versions from Logos 6 on have required Win 7 SP1.

But Logos 6 was the last version on OS x 10.9.

3. Latest version for OS X 10.6 (Snow Leopard), 10.7 (Lion) and 10.8 (Mountain Lion):

You include Logos/Verbum 5 for Windows here, so the heading should include Windows Vista

Dave
===

Windows & Android

Posts 13359
Forum MVP
Mark Barnes | Forum Activity | Replied: Wed, Jul 31 2019 11:03 PM

Dave Hooton:
There could be some mistakes here

Thank you. I've made the corrections.

Posts 24921
Forum MVP
Dave Hooton | Forum Activity | Replied: Thu, Aug 1 2019 5:29 PM

Some more corrections:

1. Current release (Mac OS 10.11+, Windows 7+)

Windows 7 SP1 is the minimum version

Logos 5 could be the latest version for Win 7 w/out SP1, but SP1 was released 21 months before Logos 5.

2. Older releases suitable for:

The Vista, XP, 10.9 and 10.6 links don't work

Dave
===

Windows & Android

Posts 17956
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Thu, Aug 1 2019 10:30 PM

Dave Hooton:

Logos 5 could be the latest version for Win 7 w/out SP1, but SP1 was released 21 months before Logos 5.

Thread => Important Announcement for Windows XP, Vista, OS X 10.5, 10.6, 10.7 users includes: "Logos 5.3 will require Windows 7 SP1 or OS X 10.9 or later." (where Logos 5.3 Beta turned into Logos 6.0 Stable release) so Logos 5.2b SR-11 was the last version for Win 7 without SP1.

Keep Smiling Smile

Posts 24921
Forum MVP
Dave Hooton | Forum Activity | Replied: Fri, Aug 2 2019 4:16 AM

Keep Smiling 4 Jesus :):
"Logos 5.3 will require Windows 7 SP1 or OS X 10.9 or later." (where Logos 5.3 Beta turned into Logos 6.0 Stable release) so Logos 5.2b SR-11 was the last version for Win 7 without SP1.

Thank you!

Dave
===

Windows & Android

Page 1 of 1 (18 items) | RSS